0

Anyone know how to open devcoin-qt? I tried running it by double-clicking it but nothing happened. I shutdown the devcoind and tried it - nothing. I renamed the ~/.devcoin folder to .devcoin.old and got a popup that says:

Could not display "devcoin-linux-a64". There is no application installed for "executable" files. Do you want to search for an application to open this file?

I clicked yes, it selected and installed pypar2 - wrong - so now which program should be the default for opening an executable? - aptURL?, something else?

And I'm back to original issue - how to run the executable devcoin-qt file? The file's permissions are set to my account & group.

1

OK, looks like there were a couple of missing dependencies.

When I ran the devcoin-qt under my user account there was nothing that appeared to happen, but when I ran the file from the terminal using sudo a couple of dependencies showed up as missing: libjpeg.so.62 and libtiff.so.4.

The first one was resolved by installing the libjpeg62 package with:

sudo apt-get install libjpeg62

I found the second solution online - create a symbolic link for libtiff.so.4 to libtiff.so.3, but since I have libtiff5 installed already, I used libtiff.so.5:

sudo ln -s /usr/lib/x86_64-linux-gnu/libtiff.so.5 /usr/lib/x86_64-linux-gnu/libtiff.so.4

One other noteworthy point is that if daemon=1 is set in the devcoin.conf file, then the GUI will not show, removing the daemon=1 line from the .conf file corrects this and the GUI opens as expected.

Your Answer

By clicking "Post Your Answer", you acknowledge that you have read our updated terms of service, privacy policy and cookie policy, and that your continued use of the website is subject to these policies.

Not the answer you're looking for? Browse other questions tagged or ask your own question.